Trace
Keywords: net.corda.core.context.Trace class
Date: 2023-09-18

net.corda.core.context

## Class Trace

- net.corda.core.context.Trace

-     public class Trace

  Contextual tracing information, including invocation and session id.

- - ### Field Detail

    - #### Companion

          public static net.corda.core.context.Trace.Companion Companion

  - ### Constructor Detail

    - #### Trace

          public Trace(@NotNull
                       net.corda.core.context.Trace.InvocationId invocationId,
                       @NotNull
                       net.corda.core.context.Trace.SessionId sessionId)

      Contextual tracing information, including invocation and session id.

  - ### Method Detail

    - #### getInvocationId

          @NotNull
          public net.corda.core.context.Trace.InvocationId getInvocationId()

    - #### getSessionId

          @NotNull
          public net.corda.core.context.Trace.SessionId getSessionId()

    - #### component1

          @NotNull
          public net.corda.core.context.Trace.InvocationId component1()

    - #### component2

          @NotNull
          public net.corda.core.context.Trace.SessionId component2()

    - #### copy

          @NotNull
          public Trace copy(@NotNull
                                     net.corda.core.context.Trace.InvocationId invocationId,
                                     @NotNull
                                     net.corda.core.context.Trace.SessionId sessionId)

      Contextual tracing information, including invocation and session id.

    - #### toString

          @NotNull
          public java.lang.String toString()

      Contextual tracing information, including invocation and session id.

    - #### hashCode

          public int hashCode()

      Contextual tracing information, including invocation and session id.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Contextual tracing information, including invocation and session id.

    - #### newInstance

          @JvmStatic
           @NotNull
          public static Trace newInstance(@NotNull
                                                               net.corda.core.context.Trace.InvocationId invocationId,
                                                               @NotNull
                                                               net.corda.core.context.Trace.SessionId sessionId)

      Creates a trace using a `InvocationId.newInstance` with default arguments and a `class Trace.SessionId` matching the value and timestamp from the invocation id..

      See Also:
        `InvocationId.newInstance`, `class Trace.SessionId`